Package com.ocient.jdbc.proto

# Interface PlanProtocol.PlanHeaderOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.PlanHeader`, `PlanProtocol.PlanHeader.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.PlanHeaderOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `containsCols2Pos​(String key)` | A map of column name to it's position (zero-based) in the result set
`boolean` | `containsCols2Types​(String key)` | A map from column name to type (uses optimizer types)
`boolean` | `containsComputeConfiguration​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`int` | `getBranchingOffset()` | branching offset
`Map<String,​Integer>` | `getCols2Pos()` | Deprecated.
`int` | `getCols2PosCount()` | A map of column name to it's position (zero-based) in the result set
`Map<String,​Integer>` | `getCols2PosMap()` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrDefault​(String key, int defaultValue)` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrThrow​(String key)` | A map of column name to it's position (zero-based) in the result set
`Map<String,​PlanProtocol.SqlColType>` | `getCols2Types()` | Deprecated.
`int` | `getCols2TypesCount()` | A map from column name to type (uses optimizer types)
`Map<String,​PlanProtocol.SqlColType>` | `getCols2TypesMap()` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<String,​Integer>` | `getCols2TypesValue()` | Deprecated.
`Map<String,​Integer>` | `getCols2TypesValueMap()` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrDefault​(String key, int defaultValue)` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfiguration()` | Deprecated.
`int` | `getComputeConfigurationCount()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfigurationMap()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrThrow​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`String` | `getDatabase()` | `string database = 23;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 23;`
`double` | `getExternalCost()` | `double externalCost = 25;`
`int` | `getGlobalPfactor()` | `uint32 global_pfactor = 20;`
`long` | `getIndexMemUsage()` | index and query memory usage in bytes
`double` | `getInternalCost()` | `double internalCost = 24;`
`int` | `getPartitionCount()` | partition count, is set by vm while processing GATHER operator, prior to sending the plan to downstream peers
`String` | `getPartitioningCol()` | Only used by Spark connector
`com.google.protobuf.ByteString` | `getPartitioningColBytes()` | Only used by Spark connector
`boolean` | `getPartitioningColNullable()` | Only used by Spark connector
`PlanProtocol.SqlColType` | `getPartitioningColType()` | Only used by Spark connector
`int` | `getPartitioningColTypeValue()` | Only used by Spark connector
`int` | `getPartitioningOffset()` | partitioning offset
`float` | `getPartitioningPoints​(int index)` | Only used by Spark connector
`int` | `getPartitioningPointsCount()` | Only used by Spark connector
`List<Float>` | `getPartitioningPointsList()` | Only used by Spark connector
`double` | `getPriority()` | Scale factor for plan priority
`long` | `getQueryMemUsage()` | `uint64 queryMemUsage = 18;`
`long` | `getQuerySeq()` | query sequence #
`boolean` | `getRateLimited()` | Deprecated
`long` | `getRsSizeInBytes()` | Only used by Explain
`double` | `getTotalCost()` | `double totalCost = 5;`
`boolean` | `getTrace()` | Whether or not trace is turned on
`String` | `getUuid()` | Uniquely identifies the plan
`com.google.protobuf.ByteString` | `getUuidBytes()` | Uniquely identifies the plan
`int` | `getVersion()` | `uint32 version = 22;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getCols2PosCount

int getCols2PosCount()

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### containsCols2Pos

boolean containsCols2Pos​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getCols2Pos

@Deprecated Map<String,​Integer> getCols2Pos()
Deprecated.
Use `getCols2PosMap()` instead.

### getCols2PosMap

Map<String,​Integer> getCols2PosMap()

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getCols2PosOrDefault

int getCols2PosOrDefault​(String key, int defaultValue)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getCols2PosOrThrow

int getCols2PosOrThrow​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getCols2TypesCount

int getCols2TypesCount()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### containsCols2Types

boolean containsCols2Types​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2Types

@Deprecated Map<String,​PlanProtocol.SqlColType> getCols2Types()
Deprecated.
Use `getCols2TypesMap()` instead.

### getCols2TypesMap

Map<String,​PlanProtocol.SqlColType> getCols2TypesMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2TypesOrDefault

PlanProtocol.SqlColType getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2TypesOrThrow

PlanProtocol.SqlColType getCols2TypesOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2TypesValue

@Deprecated Map<String,​Integer> getCols2TypesValue()
Deprecated.
Use `getCols2TypesValueMap()` instead.

### getCols2TypesValueMap

Map<String,​Integer> getCols2TypesValueMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2TypesValueOrDefault

int getCols2TypesValueOrDefault​(String key, int defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getCols2TypesValueOrThrow

int getCols2TypesValueOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getTotalCost

double getTotalCost()
`double totalCost = 5;`

### getPartitioningCol

String getPartitioningCol()

    Only used by Spark connector

`string partitioningCol = 6;`

### getPartitioningColBytes

com.google.protobuf.ByteString getPartitioningColBytes()

    Only used by Spark connector

`string partitioningCol = 6;`

### getPartitioningPointsList

List<Float> getPartitioningPointsList()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### getPartitioningPointsCount

int getPartitioningPointsCount()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### getPartitioningPoints

float getPartitioningPoints​(int index)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### getPartitioningColTypeValue

int getPartitioningColTypeValue()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

### getPartitioningColType

PlanProtocol.SqlColType getPartitioningColType()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

### getRsSizeInBytes

long getRsSizeInBytes()

    Only used by Explain

`uint64 rsSizeInBytes = 9;`

### getUuid

String getUuid()

    Uniquely identifies the plan

`string uuid = 10;`

### getUuidBytes

com.google.protobuf.ByteString getUuidBytes()

    Uniquely identifies the plan

`string uuid = 10;`

### getPriority

double getPriority()

    Scale factor for plan priority

`double priority = 11;`

### getTrace

boolean getTrace()

    Whether or not trace is turned on

`bool trace = 12;`

### getPartitioningOffset

int getPartitioningOffset()

    partitioning offset

`uint32 partitioning_offset = 13;`

### getBranchingOffset

int getBranchingOffset()

    branching offset

`uint32 branching_offset = 14;`

### getQuerySeq

long getQuerySeq()

     query sequence #

`uint64 querySeq = 15;`

### getPartitionCount

int getPartitionCount()

     partition count, is set by vm while processing  GATHER operator,  prior to sending the plan to downstream peers

`uint32 partition_count = 16;`

### getIndexMemUsage

long getIndexMemUsage()

    index and query memory usage in bytes

`uint64 indexMemUsage = 17;`

### getQueryMemUsage

long getQueryMemUsage()
`uint64 queryMemUsage = 18;`

### getRateLimited

boolean getRateLimited()

    Deprecated

`bool rate_limited = 19;`

### getGlobalPfactor

int getGlobalPfactor()
`uint32 global_pfactor = 20;`

### getPartitioningColNullable

boolean getPartitioningColNullable()

    Only used by Spark connector

`bool partitioningColNullable = 21;`

### getVersion

int getVersion()
`uint32 version = 22;`

### getDatabase

String getDatabase()
`string database = 23;`

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 23;`

### getInternalCost

double getInternalCost()
`double internalCost = 24;`

### getExternalCost

double getExternalCost()
`double externalCost = 25;`

### getComputeConfigurationCount

int getComputeConfigurationCount()

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### containsComputeConfiguration

boolean containsComputeConfiguration​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### getComputeConfiguration

@Deprecated Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfiguration()
Deprecated.
Use `getComputeConfigurationMap()` instead.

### getComputeConfigurationMap

Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfigurationMap()

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### getComputeConfigurationOrDefault

PlanProtocol.ExecutionClusters getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### getComputeConfigurationOrThrow

PlanProtocol.ExecutionClusters getComputeConfigurationOrThrow​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`